Package org.apache.maven.scm.command.edit

## Class EditScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.edit.EditScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class EditScmResult
    extends ScmResult

Since:
  1.5 `ScmFile` will have the `ScmFileStatus` `ScmFileStatus.EDITED`
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`EditScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`EditScmResult​(java.lang.String commandLine, java.util.List<ScmFile> editFiles)`
`EditScmResult​(java.util.List<ScmFile> editFiles, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getEditFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditScmResult

    public EditScmResult​(java.lang.String commandLine,
                         java.lang.String providerMessage,
                         java.lang.String commandOutput,
                         boolean success)

#### EditScmResult

    public EditScmResult​(java.lang.String commandLine,
                         java.util.List<ScmFile> editFiles)

#### EditScmResult

    public EditScmResult​(java.util.List<ScmFile> editFiles,
                         ScmResult result)

### Method Detail

#### getEditFiles

    public java.util.List<ScmFile> getEditFiles()